summaryrefslogtreecommitdiff
path: root/tests/ere
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ere')
-rwxr-xr-xtests/ere21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/ere b/tests/ere
new file mode 100755
index 0000000..68d1533
--- /dev/null
+++ b/tests/ere
@@ -0,0 +1,21 @@
+#! /bin/sh
+# Regression test for GNU grep.
+#
+# Copyright (C) 2001, 2006, 2009-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+# . . . and the following by Henry Spencer.
+
+${AWK-awk} -f $abs_top_srcdir/tests/ere.awk $abs_top_srcdir/tests/ere.tests \
+ > ere.script || fail=1
+
+${re_shell-${SHELL-sh}} ere.script || fail=1
+
+Exit $fail